## com.bbn.openmap
Interface LightMapHandlerChild

All Known Subinterfaces:
  EditorTool

All Known Implementing Classes:
  AbstractEditorTool, AbstractOpenMapMenu, BackgroundColorMenuItem, ControlPanelToggleMenuItem, MapHandlerChild, MapHandlerMenuItem, OMComponentPanel, ToolPanelToggleMenuItem, WebSiteHelpMenuItem

public interface LightMapHandlerChild

The LightMapHandlerChild is an interface for an object that can be mananged by a MapHandlerChild, and notified of changes in the MapHandler via that managing object. The two methods are intended to called when the LightMapHandlerChild should be given an opportunity to connect to an object or disconnect from an object. The LightMapHandlerChild doesn't have to do anything, this interface is really for the benefit of the managing MapHandlerChild to figure out if some of its child components may want to know about MapHandler events.

Method Summary
`void` `findAndInit(java.lang.Object someObj)`
`void` `findAndUndo(java.lang.Object someObj)`

Method Detail

### findAndInit

    public void findAndInit(java.lang.Object someObj)

### findAndUndo

    public void findAndUndo(java.lang.Object someObj)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details